# $Revision: 1.17 $, $Date: 2011/07/18 10:33:25 $
%define		ocaml_ver	1:3.09.2
Summary:	Zlib binding for OCaml
Summary(pl.UTF-8):	Wiązania Zlib dla OCamla
Name:		ocaml-zip
Version:	1.04
Release:	2
License:	LGPL
Group:		Libraries
URL:		http://pauillac.inria.fr/~xleroy/software.html
Source0:	http://caml.inria.fr/distrib/bazar-ocaml/camlzip-%{version}.tar.gz
# Source0-md5:	b3930f4f2e2563b9a5e1b17aa455e635
BuildRequires:	ocaml >= %{ocaml_ver}
BuildRequires:	zlib-devel
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This Objective Caml library provides easy access to compressed files
in ZIP and GZIP format, as well as to Java JAR files. It provides
functions for reading from and writing to compressed files in these
formats.

This package contains files needed to run bytecode executables using
this library.

%description -l pl.UTF-8
Biblioteka ta pozwala na dostęp do plików w formacie ZIP i GZIP jak
również dla plików JAR Javy z poziomy OCamla. Udostępnia ona funkcje
do czytania i pisania do plików w tych formatach.

Pakiet ten zawiera binaria potrzebne do uruchamiania programów
używających tej biblioteki.

%package devel
Summary:	Zlib binding for OCaml - development part
Summary(pl.UTF-8):	Wiązania Zlib dla OCamla - cześć programistyczna
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	ocaml

%description devel
This Objective Caml library provides easy access to compressed files
in ZIP and GZIP format, as well as to Java JAR files. It provides
functions for reading from and writing to compressed files in these
formats.

This package contains files needed to develop OCaml programs using
this library.

%description devel -l pl.UTF-8
Biblioteka ta pozwala na dostęp do plików w formacie ZIP i GZIP jak
również dla plików JAR Javy z poziomy OCamla. Udostępnia ona funkcje
do czytania i pisania do plików w tych formatach.

Pakiet ten zawiera pliki niezbędne do tworzenia programów używających
tej biblioteki.

%prep
%setup -q -n camlzip-%{version}

%build
%{__cc} %{rpmcflags} -fPIC -c zlibstubs.c
%{__make} all allopt OCAMLC=ocamlc

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/stublibs

%{__make} install installopt \
	INSTALLDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml/zip \
	OCAMLC="echo $RPM_BUILD_ROOT; true"

install zlib.cm[ixa]* $RPM_BUILD_ROOT%{_libdir}/ocaml/zip

mv $RPM_BUILD_ROOT%{_libdir}/ocaml/zip/dll*.so $RPM_BUILD_ROOT%{_libdir}/ocaml/stublibs

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -r test/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/zip
cat > $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/zip/META <<EOF
requires = ""
version = "%{version}"
directory = "+zip"
archive(byte) = "zip.cma"
archive(native) = "zip.cmxa"
linkopts = ""
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ocaml/stublibs/*.so

%files devel
%defattr(644,root,root,755)
%doc README *.mli
%dir %{_libdir}/ocaml/zip
%{_libdir}/ocaml/zip/*.cm[ixa]*
%{_libdir}/ocaml/zip/*.a
%{_examplesdir}/%{name}-%{version}
%{_libdir}/ocaml/site-lib/zip

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ocaml-zip.spec,v $
Revision 1.17  2011/07/18 10:33:25  baggins
- rel 2
- package zlib stubs

Revision 1.16  2011/07/18 09:33:45  baggins
- 1.04

Revision 1.15  2007/12/25 21:51:16  zbyniu
- up to 1.03

Revision 1.14  2007-02-13 07:16:50  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:49:14  baggins
- converted to UTF-8

Revision 1.12  2006/05/31 12:55:08  glen
- rel 9 (rebuild with ocaml-3.09.2)

Revision 1.11  2006/04/16 10:20:54  glen
- ocaml epoch is 1

Revision 1.10  2006/04/15 22:11:00  glen
- ocaml 3.09.1

Revision 1.9  2005/12/10 18:50:41  baggins
- release 6 for ocaml 3.09.0

Revision 1.8  2005/10/11 20:25:55  paszczus
- release up to rebuild with new ocaml

Revision 1.7  2005/05/21 17:28:34  ankry
- rel. 4

Revision 1.6  2004/08/27 23:36:00  havner
- [mass commit], rel up for rebuild with ocaml

Revision 1.5  2003/09/03 21:13:09  malekith
- fixed .so stuff
- release 2 (ocaml 3.07)

Revision 1.4  2003/05/28 13:00:01  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 05:51:18  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2002/11/27 22:06:25  juandon
- new %%doc

Revision 1.1  2002/05/13 11:16:47  malekith
- initial; from scratch

